# SIG/AltArch meeting 2023-11-03

## Attendees

* Sherif
* Bryan
* Neil Hanlon

## Old Business

* Discuss meeting time - ~~biweekly~~ monthly.
	* https://www.when2meet.com/?22213293-gYJPM
		* Send out to channel asking for people to put in their availability for the first week of December
		* Going forward we will repeat the meeting monhtly on the first whatever day of the month we choose
* Document decisions from last time
	* https://sig-altarch.rocky.page/events/meeting-notes/2023-10-20/#decisions
		* Neil to make ticket to encompass updating the SIG documentation (purpose, how to join and participate, our decisions, etc)
* Create tickets for work on boards
	* Neil will create tickets in sig_altarch/meta for all of [these](https://sig-altarch.rocky.page/events/meeting-notes/2023-10-20/#action-items)
		 * Configure upstream monitoring for releases of new packages (uboot) - Neil
			* this is the "Maintenance - Importing dependencies from Fedora/EPEL" bit
			* https://release-monitoring.org/
			* https://pagure.io/centos-sig-hyperscale/package-updates/blob/main/f/package_updates

## New Business
* Fix missing packages for uboot in rocky 8 (Sherif)
	* two packages need to be rebuilt
	* can these be PRed to Fedora or UBoot?
		* Bryan will look into opening a PR with Fedoras
			* Neil can help with the 'how'
			* https://src.fedoraproject.org/rpms/uboot-tools1
				* Login w/ Fedora account, can create a fork and then open a PR against the main repo
			* https://git.rockylinux.org/sig/altarch/src/uboot-tools/-/commit/0d07de7701b023c642a4d776852e05cb6bd3318e
* GenericArm image
	* Would like to release "officially" w/ 9.3 and 8.9 building using empanadas

## Open Floor / Discussions

* Bryan working on the Libre Tritium H5 (ALL-H3-CC (H5))
	* Progressing well, will need to open an issue to add config to elrepo kernel
* Rockchip status - 
	* Sherif was working to add new Rockchip boards, but needs to rebase his PR against latest mainline
		* Will need help testing as he only has the RockPro64
	* Probably first week of december
	* Some libre boards are also rockchip (Renegade)
	* Long term, we can have a single unified kernel (yay!)
* Kernel LTS
	* Pablo and Sherif working on this.
* Kernel ML
	* Need to work with Mustafa on this (Neil)
	* some things have regressed in Kernel Packer
* Update configuration in ELRepo for rockchips
	* Sherif to rebase later


## Next Meeting

 * Should we make the Mainline kernel the default kernel for the SIG/Altarch GenericArm image? ** need to resolve before new 8 and 9 releases ** 
	 * Probably yes, but we'll circulate this. Neil will create a ticket.
